hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Karel Vervaeke (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-10101) Update guava dependency to the latest version
Date Fri, 17 Apr 2015 08:26:00 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-10101?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14499461#comment-14499461
] 

Karel Vervaeke commented on HADOOP-10101:
-----------------------------------------

I think [~busbey] made a good point. I'm sure there are some practical concerns, but as more
libraries start to depend on more recent guava versions it becomes more of a problem.
For now I've taken the reverse approach for our integration tests (shading dropwizard 0.8.1
w. relocated guava classes) to allow both hadoop and dropwizard services to run in one jvm.

> Update guava dependency to the latest version
> ---------------------------------------------
>
>                 Key: HADOOP-10101
>                 URL: https://issues.apache.org/jira/browse/HADOOP-10101
>             Project: Hadoop Common
>          Issue Type: Improvement
>    Affects Versions: 2.2.0, 2.6.0
>            Reporter: Rakesh R
>            Assignee: Vinayakumar B
>         Attachments: HADOOP-10101-002.patch, HADOOP-10101-004.patch, HADOOP-10101-005.patch,
HADOOP-10101-006.patch, HADOOP-10101-007.patch, HADOOP-10101-008.patch, HADOOP-10101-009.patch,
HADOOP-10101-009.patch, HADOOP-10101-010.patch, HADOOP-10101-010.patch, HADOOP-10101-011.patch,
HADOOP-10101.patch, HADOOP-10101.patch
>
>
> The existing guava version is 11.0.2 which is quite old. This 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message